Include Documents in Projects API

2015-11-29 19:08 - Helder Manuel Torres Vieira

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Description

This patch adds documents to the Projects#show API.

They will be shown only if the include=documents parameter is passed on URL

The behaviour is exactly the same as for issue categories, trackers and modules.

Patch and Tests are included.

JSON Example

GET /projects.json?include=documents

{

  project: {

    id: 1,

    name: "Test Project",

    identifier: "test-project",

    description: "",

    homepage: "",

    status: 1,

    documents: [

      {

        id: 1,

        title: "Document 1",

        description: "Description 1",

        category: {

          id: 1,

          name: "Uncategorized" 

        },

        url: "https://redmine/documents/1",

        created_on: "2015-11-29T12:19:16Z" 

      }

    ],

    created_on: "2015-11-29T12:11:34Z",

    updated_on: "2015-11-29T12:11:34Z" 

  }

}

History

#1 - 2015-11-29 19:25 - Helder Manuel Torres Vieira

Added updated_on record and re-tested on Last Trunk (14901)

#2 - 2015-11-29 21:31 - Helder Manuel Torres Vieira

- File include_documents_in_projects_api_v1.patch added

#3 - 2015-12-29 04:45 - Toshi MARUYAMA

- Target version set to 3.3.0

#4 - 2016-01-31 10:37 - Jean-Philippe Lang
- Target version deleted (3.3.0)

I'd like to improve the documents feature in a near future (directories...). The documents API should be added after that.

Files

include_documents_in_projects_api.patch 3.56 KB 2015-11-29 Helder Manuel Torres Vieira

include_documents_in_projects_api_v1.patch 3.6 KB 2015-11-29 Helder Manuel Torres Vieira
